net.minecraft.command

## Class CommandXP

- java.lang.Object
- - net.minecraft.command.CommandBase
  - - net.minecraft.command.CommandXP

- All Implemented Interfaces:
    Comparable, ICommand

      public class CommandXP
      extends CommandBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandXP()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `addTabCompletionOptions(ICommandSender par1ICommandSender, String[] par2ArrayOfStr)` Adds the strings available in this command to the given list of tab completion options.
    `String` | `getCommandName()`
    `String` | `getCommandUsage(ICommandSender par1ICommandSender)`
    `int` | `getRequiredPermissionLevel()` Return the required permission level for this command.
    `boolean` | `isUsernameIndex(String[] par1ArrayOfStr, int par2)` Return whether the specified command parameter index is a username parameter.
    `void` | `processCommand(ICommandSender par1ICommandSender, String[] par2ArrayOfStr)`

    - ### Methods inherited from class net.minecraft.command.CommandBase

      `canCommandSenderUseCommand, compareTo, compareTo, doesStringStartWith, func_82359_c, func_82360_a, func_82361_a, func_82363_b, func_96332_d, func_96333_a, getCommandAliases, getCommandSenderAsPlayer, getListOfStringsFromIterableMatchingLastWord, getListOfStringsMatchingLastWord, joinNiceString, notifyAdmins, notifyAdmins, parseInt, parseIntBounded, parseIntWithMin, setAdminCommander`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandXP

          public CommandXP()

  - ### Method Detail

    - #### getCommandName

          public String getCommandName()

    - #### getRequiredPermissionLevel

          public int getRequiredPermissionLevel()

      Return the required permission level for this command.
      Overrides:
        `getRequiredPermissionLevel` in class `CommandBase`

    - #### getCommandUsage

          public String getCommandUsage(ICommandSender par1ICommandSender)

      Specified by:
        `getCommandUsage` in interface `ICommand`
      Overrides:
        `getCommandUsage` in class `CommandBase`

    - #### processCommand

          public void processCommand(ICommandSender par1ICommandSender,
                            String[] par2ArrayOfStr)

    - #### addTabCompletionOptions

          public List addTabCompletionOptions(ICommandSender par1ICommandSender,
                                     String[] par2ArrayOfStr)

      Adds the strings available in this command to the given list of tab completion options.
      Specified by:
        `addTabCompletionOptions` in interface `ICommand`
      Overrides:
        `addTabCompletionOptions` in class `CommandBase`

    - #### isUsernameIndex

          public boolean isUsernameIndex(String[] par1ArrayOfStr,
                                int par2)

      Return whether the specified command parameter index is a username parameter.
      Specified by:
        `isUsernameIndex` in interface `ICommand`
      Overrides:
        `isUsernameIndex` in class `CommandBase`